Subject: Re: [emacs-bug] bug#25228: 25.1; GNU emacs 25.1: custom-set-faces from init file ~/.emacs ignored

From: "Dr. Werner Fink" <[email-masked]>
Date: Mon, 19 Dec 2016 16:09:59 +0100

On Mon, Dec 19, 2016 at 11:03:06AM +0100, Werner Fink wrote:
> 
> Hi,
> 
> just get a bug report from an user and I've verified that: using
> (custom-set-faces) is ignored from ~/.emacs.  Using eval-expression
> in minibuffer after start shows that the function its self does work.
> 
> The example was
> (custom-set-faces '(default ((t (:family "B&H
> LucidaTypewriter" :foundry "B&H" :slant normal :weight normal :height 90
> :width normal)))))
> 
> I've tried direct in ~/.emacs as well as with a separate defined custom
> file in ~/.emacs with
> 
>   (setq custom-file "~/.gnu-emacs-custom")
>   (load custom-file t t)
> 
> and I've verified that ~/.emacs as well as ~/.gnu-emacs-custom will be
> loaded as strace shows.
> 

Using the line 

  (defalias 'dynamic-setting-handle-config-changed-event 'ignore)

in ~/.emacs or the custom-file does avoid the problem. The question rises
which event does trigger this even and wyh the custom settings are
expanded before this even.

Werner

-- 
  "Having a smoking section in a restaurant is like having
          a peeing section in a swimming pool." -- Edward Burr